<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::impl::flows_container&lt; potts_problem, T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><b>impl</b></li><li class="navelem"><a class="el" href="classdlib_1_1impl_1_1flows__container.html">flows_container</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1impl_1_1flows__container-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::impl::flows_container&lt; potts_problem, T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a514c5df8004541c894af6eae8b78e14d"><td class="memItemLeft" align="right" valign="top"><a id="a514c5df8004541c894af6eae8b78e14d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setup</b> (const potts_problem &amp;p)</td></tr>
<tr class="separator:a514c5df8004541c894af6eae8b78e14d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5c9776e1d0173c8eef0d55dd9bc6587"><td class="memItemLeft" align="right" valign="top"><a id="ac5c9776e1d0173c8eef0d55dd9bc6587"></a>
edge_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (const long r, const long c)</td></tr>
<tr class="separator:ac5c9776e1d0173c8eef0d55dd9bc6587"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90b200b262fcdc14ef5781a079dc78d8"><td class="memItemLeft" align="right" valign="top"><a id="a90b200b262fcdc14ef5781a079dc78d8"></a>
const edge_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (const long r, const long c) const</td></tr>
<tr class="separator:a90b200b262fcdc14ef5781a079dc78d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr class="memitem:aafa2670af75e2984732f12f2f10984db"><td class="memItemLeft" align="right" valign="top"><a id="aafa2670af75e2984732f12f2f10984db"></a>
typedef potts_problem::value_type&#160;</td><td class="memItemRight" valign="bottom"><b>edge_type</b></td></tr>
<tr class="separator:aafa2670af75e2984732f12f2f10984db"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ab8753a46ad783b13e60fc7626b0cb19a"><td class="memItemLeft" align="right" valign="top"><a id="ab8753a46ad783b13e60fc7626b0cb19a"></a>
std::vector&lt; std::vector&lt; edge_type &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>flows</b></td></tr>
<tr class="separator:ab8753a46ad783b13e60fc7626b0cb19a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="find__max__factor__graph__potts_8h_source.html">find_max_factor_graph_potts.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
